#ifndef CMDERR_H
#define CMDERR_H
/*

   Definitions for error messaging

   Copyright  (C) 1992-2009 M.Kraemer, D-64283 Darmstadt, Hoelgesstr. 16,
                             all rights reserved

   $Log: cmderr.h,v $
   Revision 1.1.1.1.2.1  2005/03/15 14:57:18  kraemer
   *** empty log message ***

   Revision 1.1.1.1  1999/02/02 20:13:13  kraemer


*/
#ifndef _ERRNO_H
#include <errno.h>
#endif
                                      /* */
struct SCMDERR {
   int iRC;                           /* base error code */
   int iSev;                          /* severity level (error/warning) */
   char *pcFile; int iLine;           /* optional: file in error, line number */
   char *pcMsg; int ncMsg;            /* optional: extra text, length */
   char *pcLine; int ncLine, iOffs;   /* optional: error line, length, offset */ 
   char *pcErr;                       /* error message */
};
                                      /* severity masks/bits */
#define CMDERR_MASK    0xFF000000
#define CMDERR_ERROR   0x80000000
#define CMDERR_WARNING 0x40000000

#define CMDERR_DEBUG   0x80000000      
                                      /* some macro */
#define CMDERRINIT(s) memset( &(s), 0, sizeof((s)) ); (s).iRC=ERRCMDERR_SYS; (s).iSev=CMDERR_ERROR; (s).iOffs=-1;
                                      /* error codes */
enum { ERRCMDERR_SYS=1,               /* ! reserved for runtime errors */
       ERRCMDERR_BADADDR,
};
                                      /* function prototypes */
int _cmderrInit   ( struct SCMDERR *, unsigned long );
int _cmderrInspect( struct SCMDERR *, unsigned long );
int _cmderrMsg    ( struct SCMDERR *, unsigned long );

#endif
